StromPi3 + RPi4: Mehrere serial-skripte in rc.local?

41 views
0 Comments

Hallo,
ich habe wie im Handbuch beschrieben die zwei Skripte die zum Download bereitstehen in der rc.local eingebunden, konkret das Skript „serialShutdown.py“ und „RTSSerial.py“.
Beim Booten bekomme ich in der /var/log/syslog nun folgende Fehlermeldung:

4778 Jan 4 12:14:23 serv rc.local[509]: During handling of the above exception, another exception occurred:
4779 Jan 4 12:14:23 serv rc.local[509]: Traceback (most recent call last):
4780 Jan 4 12:14:23 serv rc.local[509]: File „/home/pi/StromPi/StromPi3_Firmware_V1.72_Main_05092019/Scripts/Serial/serialShutdown_01.py“, line 153, in <module>
4781 Jan 4 12:14:23 serv rc.local[509]: x=ser.readline()
4782 Jan 4 12:14:23 serv rc.local[509]: File „/usr/lib/python3/dist-packages/serial/serialposix.py“, line 509, in read
4783 Jan 4 12:14:23 serv rc.local[509]: raise SerialException(‚read failed: {}‘.format(e))
4784 Jan 4 12:14:23 serv rc.local[509]: serial.serialutil.SerialException: read failed: device reports readiness to read but returned no data (device disconnected or multiple access on port?)

Meine Frage: Wie ist die Verwendung der bereitgestellten Skripte gedacht? Wie können mehrere Skripte gleichzeitig verwendet werden?
Danke & Gruß
Max

Answered question

Hallo Max,
Es kann immer nur ein Skript beim Start ausgeführt werden, da sonst Fehler bei der seriellen Kommunikation entstehen.
Wenn Sie mehrere Skripte beim Start ausführen möchten, müssen Sie die Skripte kombinieren und in einer Datei zusammenfassen.
Mit freundlichen Grüßen
Tim (Joy-it)

Answered question
You are viewing 1 out of 1 answers, click here to view all answers.
Write your answer.